Commit de35eee9 authored by Nikos Skalkotos's avatar Nikos Skalkotos
Browse files

multistrap: Create a jessie helper

 * Use jessie as suite in "Debian" and "GRNet" sections
 * Add upstart and python-bcrypt packages from jessie
 * Use kernel from jessie-helper
parent 2d7d00de
......@@ -17,24 +17,32 @@ unpack=true
# the order of sections is not important.
# the debootstrap option determines which repository
# is used to calculate the list of Priority: required packages.
debootstrap=Debian GRNet Helper
debootstrap=Debian GRNet Helper OldHelper
aptsources=Debian
[Debian]
packages=socat iproute xenstore-utils ntfsprogs xmlstarlet python parted python-support eatmydata gdisk ntfs-3g python-passlib libhivex-bin libwin-hivex-perl btrfs-tools xfsprogs
packages=socat iproute xenstore-utils xmlstarlet python parted python-support eatmydata gdisk ntfs-3g python-passlib libhivex-bin libwin-hivex-perl btrfs-tools xfsprogs python-bcrypt upstart
source=http://ftp.gr.debian.org/debian
suite=wheezy
suite=jessie
[GRNet]
packages=snf-image-helper
# Don't change the parameters below unless you really know what you are doing.
# The /'s and the empty `components' variable are needed when working with APT.
source=http://apt.dev.grnet.gr/
suite=wheezy/
suite=jessie/
components=
[Helper]
packages=ufsutils linux-image-3.14-0.bpo.2-amd64 python-bcrypt openbsd-utils
packages=linux-image-4.2.0-0.snf.image.helper.1-amd64
# Don't change the parameters below unless you really know what you are doing.
# The /'s and the empty `components' variable are needed when working with APT.
source=http://apt.dev.grnet.gr/
suite=jessie-helper/
components=
[OldHelper]
packages=ufsutils openbsd-utils
# Don't change the parameters below unless you really know what you are doing.
# The /'s and the empty `components' variable are needed when working with APT.
source=http://apt.dev.grnet.gr/
......
......@@ -6,16 +6,8 @@ Package: ufsutils
Pin: version 8.2-3+wheezy+grnet.growfs.fix
Pin-Priority: 1001
Package: python-bcrypt
Pin: version 0.4-1grnet
Pin-Priority: 1001
Package: linux-image-3.14-0.bpo.2-amd64
Pin: version 3.14.15-2~bpo70+1+ufs.rw
Pin-Priority: 1001
Package: xen-linux-system-3.14-0.bpo.2-amd64
Pin: version 3.14.15-2~bpo70+1+ufs.rw
Package:linux-image-4.2.0-0.snf.image.helper.1-amd64
Pin: version 4.2.5-1~bpo8+b1.1
Pin-Priority: 1001
Package: openbsd-utils
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment